> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models

> Deprecated: use List Model Channels instead.



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json get /models
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /models:
    get:
      tags:
        - Project
      summary: List Models
      description: 'Deprecated: use List Model Channels instead.'
      operationId: getModels
      parameters:
        - name: project_id
          in: query
          required: false
          schema:
            description: Required if using a company api key
            example: or_f45b94ba-5e35-4982-93ed-285e72ee14eb
            type: string
        - name: limit
          in: query
          required: false
          schema:
            default: 1000
            type: number
            minimum: 1
            maximum: 10000
        - name: offset
          in: query
          required: false
          schema:
            default: 0
            type: number
            minimum: 0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                          description: >-
                            Human-readable display name for the model (e.g.,
                            "ChatGPT", "Perplexity").
                        is_active:
                          type: boolean
                          description: Indicates if the model is active for the project.
                      required:
                        - id
                        - name
                        - is_active
                required:
                  - data
                description: Success
                example:
                  data:
                    - id: chatgpt-scraper
                      name: ChatGPT
                      is_active: true
                    - id: gpt-4o-search
                      name: GPT 5 Search
                      is_active: true
                    - id: perplexity-scraper
                      name: Perplexity
                      is_active: true
      deprecated: true
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````